ed25519_edwards 0.0.2 copy "ed25519_edwards: ^0.0.2" to clipboard
ed25519_edwards: ^0.0.2 copied to clipboard

outdated

A Dart implementation of ed25519, inspired by Go cryptography libraries.

A Dart implementation of ed25519, inspired by Go cryptography libraries

Usage

    test('testSignVerify', () {
        var keyPair = generateKey();
        var privateKey = keyPair.privateKey;
        var publicKey = keyPair.publicKey;
        var message = utf8.encode('test message');
        var sig = sign(privateKey, message);
        var result = verify(publicKey, message, sig);
        assert(result == true);
    
        var wrongMessage = utf8.encode('wrong message');
        var wrongResult = verify(publicKey, wrongMessage, sig);
        assert(wrongResult == false);
      });

Pub package

11
likes
0
pub points
89%
popularity

Publisher

unverified uploader

A Dart implementation of ed25519, inspired by Go cryptography libraries.

Repository (GitHub)
View/report issues

License

unknown (license)

Dependencies

collection, cryptography

More

Packages that depend on ed25519_edwards